Package ubic.gemma.rest.security
package ubic.gemma.rest.security
-
ClassesClassDescriptionSpring Security filter that resolves an
Authorization: Bearer <opaque>header to aAuthenticationpreviously issued byAuthWebService.login(AuthWebService.LoginRequest)and stored inTokenStore.Implementation ofAuthenticationEntryPointfor the RESTful API to handle authentication.Spring Security 6 configuration for the Gemma RESTful API (/rest/v2/**).In-memory bearer-token store backing the/rest/v2/loginflow used by the curation-UI SPA (seeAUTH_FOR_SPA_RECCE.mdOption C).